Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.ace.techservice.udpserver
Class AceSuspectData

    java.lang.Object
      com.rsa.ace.techservice.udpserver.AceSuspectData

    public class AceSuspectData

extends java.lang.Object

This class represents "suspect" data sent by an agent if the attacker was foolish enough bang on an agent three times. NOTE: THE IMPLEMENTATION OF THIS CLASS IS INCOMPLETE.

Constructor Summary
`AceSuspectData(java.nio.ByteBuffer buf)` Creates a new instance of AceSuspectData passed a byte-buffer.
`AceSuspectData(int key, byte[] prn, byte pin, byte syntax)` Creates a new instance of AceSuspectData passed a byte-buffer.

Method Summary
`void` | `readSuspectData(java.nio.ByteBuffer buf)` Read an AceSuspectData from the byte buffer provided.
`java.lang.String` | `toString()` Converts an AceSuspectData object to a string.
`void` | `WriteSuspectData(java.nio.ByteBuffer buf)` Write an AceSuspectData to the byte buffer provided.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AceSuspectData

    public AceSuspectData(java.nio.ByteBuffer buf)
                   throws AcePacketException

  Creates a new instance of AceSuspectData passed a byte-buffer. This calls the unlying 'read' routine to populate the data from the buffer.

  Parameters:
    `buf` - The buffer from which the suspect data will be read.
  Throws:
    `AcePacketException` - If an error occurs reading the data from the buffer.

### AceSuspectData

    public AceSuspectData(int key,
                          byte[] prn,
                          byte pin,
                          byte syntax)
                   throws AcePacketException

  Creates a new instance of AceSuspectData passed a byte-buffer. This calls the unlying 'read' routine to populate the data from the buffer.

  Parameters:
    `buf` - The buffer from which the suspect data will be read.
  Throws:
    `AcePacketException` - If an error occurs reading the data from the buffer.

Method Detail

### readSuspectData

    public void readSuspectData(java.nio.ByteBuffer buf)
                         throws AcePacketException

  Read an AceSuspectData from the byte buffer provided.

  Parameters:
    `buf` - The buffer from which the suspect data will be read.
  Throws:
    `AcePacketException` - If an error occurs reading the data from the buffer.

### WriteSuspectData

    public void WriteSuspectData(java.nio.ByteBuffer buf)
                          throws AcePacketException

  Write an AceSuspectData to the byte buffer provided.

  Parameters:
    `buf` - The buffer to which the suspect data will be writen.
  Throws:
    `AcePacketException` - If an error occurs writing the data to the buffer.

### toString

    public java.lang.String toString()

  Converts an AceSuspectData object to a string.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    A string representation of the suspect data.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.